Bug 192463 - vt and vt_vga, when two fonts are loaded, boarder not cleared
Summary: vt and vt_vga, when two fonts are loaded, boarder not cleared
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: CURRENT
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords: vt
Depends on:
Blocks:
 
Reported: 2014-08-07 07:39 UTC by jmg
Modified: 2014-10-22 00:06 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jmg 2014-08-07 07:39:07 UTC
issue #3 from:
https://www.freebsd.org/cgi/mid.cgi?20140801211845.GG50495@funkthat.com

If you have a second font loaded, there is a boarder from where there is
no text (as we don't do font scaling), and sometimes this border does not
get cleared and there is garbage...

Environment:
System: FreeBSD carbon.funkthat.com 11.0-CURRENT FreeBSD 11.0-CURRENT #2: Tue Aug  5 16:40:10 PDT 2014     jmg@carbon.funkthat.com:/usr/home/jmg/freebsd.p4/opencrypto/sys/amd64/compile/GENERIC  amd64

kern.vty=vt

How-To-Repeat:
Load a second font, like the provided gallant, and then switch between
vty's.. You'll see where there is a slight border where the text doesn't
reach to the bottom or the right side of the screen, and sometimes in this
border, there will be junk..

Fix:
unknown..
Comment 1 Jean-Sébastien Pédron freebsd_committer 2014-09-18 15:12:38 UTC
I believe this issue is fixed in HEAD and stable/10.

Do you confirm this?
Comment 2 Ed Maste freebsd_committer 2014-10-22 00:05:37 UTC
jmg confirms fixed with dumbbell's round of VGA fixes